Subject: RE: 1.3.20: bug: UID over 65536: "I have no name!"
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 6 Mar 2003 14:21:33 +0800

Hello,

Even after changing my UID in /etc/passwd from 65558 to 22, I still get the following permission errors when I open a shell:

/usr/share/texmf/ls-R: Permission denied
/usr/share/texmf/aliases: Permission denied

Also, my .bashrc file in my home directory is not being recognized.

Best regards,
Fred Ulmer

-----Original Message-----
From: Larry Hall (RFK Partners, Inc.) [mailto:[email-masked]]
Sent: Thursday, March 06, 2003 3:15 PM
To: Keith Hopkins
Cc: [email-masked]; [email-masked]
Subject: Re: 1.3.20: bug: UID over 65536: "I have no name!"

Keith Hopkins wrote:
> Hi!
> 
>  1.3.20-1 on Win2k, downloaded 20030306.
> 
>  I saw this when a friend of mine, and myself were trying to install 
> 1.3.20 yesterday (dl, then install from dl).
> 
>  The install would go fine, but when you started the shell, $UID would 
> have dropped the high bits from the NT-DOMAIN UID.  For example, if my 
> friend's NT-DOMAIN UID (native win2k)  was 65558, then his $UID  would 
> become 22.  On my machine (different company / NT-DOMAIN), the NT-DOMAIN 
> UID is 108293, but the $UID is 42757. 
>  The big problem was that after running "mkpasswd -d -u USERNAME 
> NT-DOMAIN >> /etc/passwd", you get the message:
> id: cannot find name for user ID 42757
> I have no name!@EJP0874 ~
> $
> 
>  So, Nothing matches for the NT-DOMAINs in /etc/passwd.
>  Without running mkpasswd, my friend would get permission errors when he 
> starts his shell.
>  The workaround I found was to change the UID to drop the high bits in 
> /etc/passwd. (change UID 108293 to 42757 for my user).
> 
>  Thoughts? Comments? Suggestions? Help?

Yes, this issue has been mentioned before.  If you're interested in the
previous discussions, you can go wandering through the email archives
to see them.  However, the approach you took is the recommended one.

-- 
Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/